<?php

  /**
  * Plugin Name: manageE kWh-Report
  * Plugin URI: 
  * Description: Darstellung eines Sankey-Diagramms mit den verbrauchten kWh innerhalb des eingegebenen Zeitbereichs - Shortcode [kwh-report].
  * Version: 1.0
  * Author: manageE
  * Author URI: https://www.managee.de
  * License: GPL2
  * License URI:  https://www.gnu.org/licenses/gpl-2.0.html
  * Text Domain:  manageE_kwh-report
  */


defined('ABSPATH') or die("Thanks for visting"); //only run this if called from inside WordPress

function manageE_kwh_report_v1()
{	
  //get the wordpress blog id for usage inside the javascript file
  global $blog_id; 
  $current_blog_details = get_blog_details( array( 'blog_id' => $blog_id ) ); 
  $blog_name=$current_blog_details->blogname;
  $main = get_option( 'manageemain' ); 
  $code = get_option( 'manageecode' ); 
  echo '<span id="storage" data-variable-one="'.$blog_name.'" data-variable-two="'.$blog_id.'" data-variable-three="'.$main.'"  data-variable-four="'.$code.'" style="display:none"></span>'; //write blog id and blogname into html, so js can reach it

  $direct=plugin_dir_url( __FILE__ ); //get the directory of this pluginfolder, so the files inside this folder can be linked
  $fullpathjs='"'.$direct.'manageE-plugin.js"'; //path to the js-File 
  $fullpathhtml=$direct.'manageE-plugin.html'; //path to the html-File
  $fullpathcss=$direct.'manageE-plugin.css'; //path to css-File
  //multiple pathes to d3-Files 
  $fullpathd3_1=''.$direct.'d3/d3.min.js';
  $fullpathd3_2=''.$direct.'d3/tip.js';
  $fullpathd3_3=''.$direct.'d3/spin.min.js';
  //call the d3 files, so they can be used in js
  echo '<script type="text/javascript" src="'.$fullpathd3_1.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpathd3_2.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpathd3_3.'" charset="utf-8"></script>';

  //link the stylesheet for the html 
  echo '<link rel="stylesheet" href="'.$fullpathcss.'"/>';

  /*
  echo '<iframe src='.$fullpathhtml.' seamless >', 
    '</iframe>',
    '<input id="nValue_m" class="my_input" max="12" min="1" step="1" type="number" value="1" />'
    ;
  */

  readfile($fullpathhtml);  //read the  html-file
  
  //call the js script
  echo '<script type="text/javascript" src='.$fullpathjs.'>',
     'console.log("JS said hello");',
     '</script>'
  ;
}
//add a shortcode so you can just put [your_shortcode] in WordPress
//first parameter is the shortcode, second is the php-function to be executed (see above)
add_shortcode( 'kwh-report', 'manageE_kwh_report_v1' );

?>
